/*
@ @licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2017 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "libzypp", "index.html", [
    [ "Welcome to libzypp", "index.html", [
      [ "What is libzypp?", "index.html#whatis", null ],
      [ "Implementation", "index.html#impl", null ],
      [ "Other functionality offered by libzypp", "index.html#otherfunc", null ],
      [ "3rd party software libzypp is based on", "index.html#thirdpfunc", null ],
      [ "Join the community", "index.html#join", null ],
      [ "License", "index.html#license", null ]
    ] ],
    [ "[Dropped in Code 15] Code 12 Application Metadata", "zypp-appdata.html", [
      [ "Intro", "zypp-appdata.html#zypp-appdata_intro", null ]
    ] ],
    [ "Code Pitfalls - Frequently made mistakes", "CodePitfalls.html", [
      [ "Comparing TriBool values", "CodePitfalls.html#TriBoolCompare", null ]
    ] ],
    [ "Environment Variables", "zypp-envars.html", [
      [ "Environment Variables", "zypp-envars.html#zypp-envars-intro", [
        [ "zypp config options", "zypp-envars.html#zypp-envars-config", null ],
        [ "Variables related to repositories", "zypp-envars.html#zypp-envars-repos", null ],
        [ "Variables related to commit", "zypp-envars.html#zypp-envars-commit", null ],
        [ "Variables related to logging", "zypp-envars.html#zypp-envars-logging", null ],
        [ "Selecting the mediabackend to use.", "zypp-envars.html#zypp-envars-mediabackend", null ],
        [ "Variables related to plugins", "zypp-envars.html#zypp-envars-plugin", null ],
        [ "Variables not for common use (test and debug)", "zypp-envars.html#zypp-envars-misc", null ]
      ] ]
    ] ],
    [ "Testing for provided features.", "feature-test.html", [
      [ "Introduction", "feature-test.html#intro", null ],
      [ "Features", "feature-test.html#features", null ]
    ] ],
    [ "Hardware (modalias) dependencies", "zypp-modalias.html", null ],
    [ "Code 12 Pattern Packages", "zypp-pattern-packages.html", [
      [ "Intro", "zypp-pattern-packages.html#zypp-pattern-packages_intro", null ]
    ] ],
    [ "Extending ZYpp: Plugins and Hooks", "zypp-plugins.html", "zypp-plugins" ],
    [ "Repository Variables", "zypp-repovars.html", [
      [ "Repository Variables", "zypp-repovars.html#zypp-repovars-intro", [
        [ "Builtin repository variables", "zypp-repovars.html#zypp-repoars-builtin", null ],
        [ "User defined repository variables [requires 'libzypp(repovarexpand) >= 1']", "zypp-repovars.html#zypp-repoars-userdefined", null ]
      ] ]
    ] ],
    [ "Services", "zypp-services.html", [
      [ "Classes of services", "zypp-services.html#service-types", [
        [ "Remote Services", "zypp-services.html#services-remote", null ],
        [ "Plugin Services", "zypp-services.html#services-plugin", null ]
      ] ],
      [ "Refreshing services", "zypp-services.html#service-refresh", null ],
      [ "Example usecases", "zypp-services.html#service-examples", [
        [ "Usecase #1: The project with multiple repositories and layers", "zypp-services.html#services-usecase-1", null ],
        [ "Usecase #2: Update repositories based on the customer", "zypp-services.html#services-usecase-2", null ],
        [ "Usecase #3: Dynamic repository collections", "zypp-services.html#services-usecase-3", null ],
        [ "Usecase #4: Collect openSUSE core repos in one service", "zypp-services.html#services-usecase-4", null ]
      ] ],
      [ "Developers: Implementation", "zypp-services.html#service-impl", null ]
    ] ],
    [ "Solver - Vendor protection", "pg_zypp-solv-vendorchange.html", [
      [ "Vendor protection rule", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange", [
        [ "The vendor protection rule is quite simple:", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-rule", null ]
      ] ],
      [ "Vendor protection tuning", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-tune", [
        [ "Groups of equivalent vendor strings", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-equiv", null ]
      ] ],
      [ "Related classes", "pg_zypp-solv-vendorchange.html#zypp-solv-vendorchange-Impl", null ]
    ] ],
    [ "Writing and tunning testcases", "Testcases.html", [
      [ "Introduction", "Testcases.html#Introduction", null ],
      [ "Anatomy of a ZYpp testcase", "Testcases.html#Anatomy", null ],
      [ "Building and running the testsuite", "Testcases.html#Building", null ],
      [ "References", "Testcases.html#References", null ]
    ] ],
    [ "Libzypp and threads", "thread.html", [
      [ "Libzypp and threads", "thread.html#thread_intro", [
        [ "Logging in threads", "thread.html#thread_loggin", null ]
      ] ]
    ] ],
    [ "User data as transaction id", "zypp-userdata.html", [
      [ "Introduction", "zypp-userdata.html#userdata-introduction", null ]
    ] ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Related Functions", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"APIConfig_8h.html",
"DefaultLoadSystem_8h.html#a17dc91fc4521efa9a3fb25bc4106701e",
"InstanceId_8cc.html",
"MediaPriority_8h.html",
"Pool_8h_source.html",
"RepoindexFileReader_8h_source.html",
"SetRelationMixin_8h.html#a087ae964a6ff00efbee7b2e826cb4a82",
"TargetImpl_8h.html",
"base_2EnumClass_8h.html",
"classzypp_1_1ByteCount.html#a0462ade32ace0d22e7340408e0de7a8c",
"classzypp_1_1CheckSum.html#a362eb1b8e0963e20cd519ca05916b21c",
"classzypp_1_1DefaultIntegral.html#a9216e882dbcc8c6be30b7df2c123f175",
"classzypp_1_1Fetcher_1_1Impl.html#a7ecadf2b275a0098bdd3dd792ff488ec",
"classzypp_1_1IdStringType.html#a9e06e9e90782cb7966828340de9c4be6",
"classzypp_1_1LogClient.html#aa64cf826aa27f7ec3ce2569fa46aefd4",
"classzypp_1_1Patch.html#a50dd0e99e42288603883d13473a02a33",
"classzypp_1_1PoolItemBest.html#a8de99c8d9e2c1c592e114ac112a944ac",
"classzypp_1_1ProgressData.html#ad4bc579dabf1a9980c376245c00d9b34",
"classzypp_1_1RepoInfo.html#ae984d04e336d1b5a14ec63ac365689da",
"classzypp_1_1ResPoolProxy.html#aa14844f9d68645427b6d7385a2effb8b",
"classzypp_1_1Resolver.html#a881534f8abbb7f8f3f400e689a692c4b",
"classzypp_1_1Target.html#af6a023214acef867037157a7a9531640",
"classzypp_1_1ZConfig.html#ad8728dac9762923c2e355529c5029421",
"classzypp_1_1base_1_1DrunkenBishop.html#a604899f23e12a859a7b9529c570d38f2",
"classzypp_1_1debug_1_1Measure.html#ade22218845320541e208118133751b8b",
"classzypp_1_1filesystem_1_1PathInfo.html#adda3eec67fe734365fde92ef9b284b4d",
"classzypp_1_1media_1_1AuthData.html#a5abadbf1dbb48758a9c6078698e73c1b",
"classzypp_1_1media_1_1MediaDIR.html#a2903f90f1dbe011d502958a9067420e5",
"classzypp_1_1media_1_1MediaNetwork.html#a702f0060cef0b765d7ee86142653dae8",
"classzypp_1_1media_1_1TransferSettings.html#aa27c1713c1449370f32007b5a071c366",
"classzypp_1_1parser_1_1HistoryLogReader.html#a5c60babec18e8c6d9805c6b592e56454",
"classzypp_1_1repo_1_1PackageProvider.html#a72195351f0c81a7d6ae9cfe73c07e617",
"classzypp_1_1resstatus_1_1StatusBackup.html#a213829af3019f4d48189286f0b405182",
"classzypp_1_1sat_1_1Pool.html#a9ffcecf6cdc1ec3c0aebf03b80867d77",
"classzypp_1_1sat_1_1Solvable.html#a826b32eec03387e0f912f181f6594121",
"classzypp_1_1sat_1_1detail_1_1PoolImpl.html#a466b16662372bed7c47c098971016307",
"classzypp_1_1syscontent_1_1Reader_1_1Entry.html#a73026fa142072d11696dcd030a173d82",
"classzypp_1_1target_1_1TargetImpl.html#a68ceb59f98193242679509382b5cea9e",
"classzypp_1_1target_1_1rpm_1_1RpmInitException.html#a46b27d01d01514bd517082329e3f89d7",
"classzypp_1_1url_1_1SafeQuerystr.html#a731200a019d192993690c41603ed6128",
"classzypp_1_1xml_1_1Reader.html#ad56ae0bd54eeb682e05e05e01add44c4",
"classzyppng_1_1DownloadSpec.html#a146a3a7ed459f216822b9ba704cdf8f1",
"classzyppng_1_1NetworkRequestDispatcherPrivate.html#ab1127cdc5be36162b38756ccd52fa8cc",
"classzyppng_1_1ProvideMediaHandle.html",
"classzyppng_1_1worker_1_1DeviceDriver.html#a4fa5a8439948e6e64c530c42ead9a16b",
"core_2base_2Iterator_8h.html#ga9c1aaf5aaecb1b64f6a11daea07c5b05",
"core_2fs_2PathInfo_8cc.html#aee40765405a33d7e39651346c02490d2",
"downloadspec_8h.html",
"group__LOGICALFILTERS.html#ga0e19d3ffaedff84e1c980a6169fb50e5",
"mediadebug__p_8h.html#a371b65dd97ae8231c75fcd567c68c2da",
"namespacezypp_1_1misc_1_1testcase.html",
"providemessage__p_8h.html#a94b3a685de1fa80f52938614d04779c1",
"structzypp_1_1AutoDispose_1_1Impl.html#af7c0d782c295c823f95e4e916b1b6a37",
"structzypp_1_1FetcherJob.html#a86e37895dccfcf793bc70298cdcfd4aa",
"structzypp_1_1PluginFrame_1_1Impl.html#a15e3a71c725a6e14b4de67641736aa4d",
"structzypp_1_1RW__pointer.html#ad5a4190f32a024f9b146e23a56032771",
"structzypp_1_1RepoManagerOptions.html#a62fe5169ed49bf071cc694ad556c4840",
"structzypp_1_1base_1_1LogControl_1_1TmpLineWriter.html",
"structzypp_1_1externalprogram_1_1EarlyPipe.html#ab82585bee17bd2139ee9a161f4220ddb",
"structzypp_1_1media_1_1ml__parsedata.html#a1e6d7649f8f48aab36df7da577ad4113",
"structzypp_1_1repo_1_1RepoCreateReport.html#af95dc41e472d850e7b0a0ef4562c9e86",
"structzypp_1_1sat_1_1SolvableType.html#ae7278bcfa192da5b164810432a956ae2",
"structzypp_1_1target_1_1rpm_1_1RemoveResolvableReport.html",
"structzypp_1_1xml_1_1ParseDefTraits.html#a16982185b0fca39a9be8a6102668bf99a9bd9fea6932d6700553c5a3cf1224eeb",
"structzyppng_1_1MirrorControl_1_1PickResult.html#a8795d7657c37425e7323e3cc771fb6bb",
"zypp-envars.html#zypp-envars-intro"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';